package com.yd.dal.mapper.customer;

import com.yd.dal.entity.customer.AclInsurerBranch;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AclInsurerBranchMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AclInsurerBranch record);

    int insertSelective(AclInsurerBranch record);

    AclInsurerBranch selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AclInsurerBranch record);

    int updateByPrimaryKey(AclInsurerBranch record);

    int updateBatch(List<AclInsurerBranch> list);

    int updateBatchSelective(List<AclInsurerBranch> list);

    int batchInsert(@Param("list") List<AclInsurerBranch> list);
}